<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script type="module">
    import Product from './Product.js';
    import Album from './Album.js';
    import Movie from './Movie.js';

    // Khởi tạo đối tượng Product
    const product = new Product('Product 1', 10, 100);
    product.sellCopies();
    product.orderCopies(20);

    // Kiểm tra instance của đối tượng
    console.log(product instanceof Product);
    console.log(product instanceof Album);
    console.log(product instanceof Movie);

    // Khởi tạo đối tượng Album
    const album = new Album('Album 1', 20, 50);
    album.artist();

    // Kiểm tra instance của đối tượng
    console.log(album instanceof Product);
    console.log(album instanceof Album);
    console.log(album instanceof Movie);

    // Khởi tạo đối tượng Movie
    const movie = new Movie('Movie 1', 15, 200);
    movie.director();

    // Kiểm tra instance của đối tượng
    console.log(movie instanceof Product);
    console.log(movie instanceof Album);
    console.log(movie instanceof Movie);

</script>